Bug 1119694 - New Shortcuts are created with every program group name validation failure
Summary: New Shortcuts are created with every program group name validation failure
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ER10
: EAP 6.3.0
Assignee: Thomas Hauser
QA Contact: Petr Kremensky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 10:04 UTC by Petr Kremensky
Modified: 2017-10-10 00:26 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Windows
Last Closed: 2014-08-06 14:40:22 UTC
Type: Bug


Attachments (Terms of Use)
windows_shortcuts_creation (96.31 KB, image/png)
2014-07-15 10:04 UTC, Petr Kremensky
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1089146 None None None Never

Internal Links: 1089146

Description Petr Kremensky 2014-07-15 10:04:02 UTC
Created attachment 918108 [details]
windows_shortcuts_creation

Description of problem:
 A new set of shortcuts is created with everytime program group name validation fails creating extra set of shortcuts.

Version-Release number of selected component (if applicable):
 EAP 6.3.0.ER9

How reproducible:
 Always (Windows)

Steps to Reproduce:
 1. Start the gui installer.
 2. Go to shortcuts creation screen.
 3a. Set program group name to JBoss\Platform -> Next -> OK (Error dialogue)
 3b. Set program group name to JBoss\Platf -> Next -> OK (Error dialogue)
 3c. Set program group name to JBoss -> Finish the installation

Actual results:
 Shortcuts are created also for locations which didn't pass the validation (21 shortcuts)

Expected results:
 Shortcuts are created only for locations which pass the validation (7 shortcuts).

Additional info:
 - We should reconsider allowing the '\' for shortcuts path on windows (See bz1088900) as the helping panel for creating shortcuts on windows is adding the '\' character (See attachment).
 - All shortcuts are deleted during uninstallation.

Comment 2 Petr Kremensky 2014-07-17 05:16:36 UTC
Verified on EAP 6.3.0.ER10 installer.


Note You need to log in before you can comment on or make changes to this bug.